platform_device_unregister
Prev | Device Drivers Base | Next

## Name

platform_device_unregister — unregister a platform-level device

## Synopsis

`void platform_device_unregister (` | struct platform_device * | pdev`)`;

## Arguments

`pdev`

  platform device we're unregistering

## Description

Unregistration is done in 2 steps. First we release all resources and remove it from the subsystem, then we drop reference count by calling `platform_device_put`.

Prev | Up | Next
platform_device_register | Home | platform_device_register_simple